    PROGRAM nag_discrete_dist_ex02

      ! Example Program Text for nag_discrete_dist
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out, nag_std_in
      USE nag_discrete_dist, ONLY : nag_poisson_prob
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: k
      REAL (wp) :: lambda, prob
      CHARACTER (1) :: tail
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) &
       'Example Program Results for nag_discrete_dist_ex02'

      READ (nag_std_in,*)          ! Skip heading in data file

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) 'tail    lambda     k     Probability'
      WRITE (nag_std_out,*)

      DO

        READ (nag_std_in,*,end=20) tail, lambda, k

        prob = nag_poisson_prob(tail,lambda,k)

        WRITE (nag_std_out,'(2X,A1,3x,F10.3,I5,F15.4)') tail, lambda, k, prob

      END DO

20    CONTINUE

    END PROGRAM nag_discrete_dist_ex02
